Qt 5.7 | Qt 3D | C++ Classes | QPropertyUpdatedChange

Qt 5.7.1 Reference Documentation

# QPropertyUpdatedChange Class

(Qt3DCore::QPropertyUpdatedChange)

The QPropertyUpdatedChange class is used to notify when a property value is updated More...

Header: | #include <QPropertyUpdatedChange>
qmake: | QT += 3dcore
Inherits: | QStaticPropertyUpdatedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyUpdatedChange(QNodeId subjectId)
virtual | ~QPropertyUpdatedChange()
void | setValue(const QVariant &value)
QVariant | value() const

- 2 public functions inherited from Qt3DCore::QStaticPropertyUpdatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QPropertyUpdatedChangePtr

## Detailed Description

The QPropertyUpdatedChange class is used to notify when a property value is updated

## Member Function Documentation

### QPropertyUpdatedChange::QPropertyUpdatedChange(QNodeId subjectId)

Constructs a new QPropertyUpdatedChange with subjectId.

### `[virtual]` QPropertyUpdatedChange::~QPropertyUpdatedChange()

Destroys the instance of QPropertyUpdatedChange. The destructor is virtual.

### void QPropertyUpdatedChange::setValue(const QVariant &value)

Set the property change value.

See also value().

### QVariant QPropertyUpdatedChange::value() const

Returns property value.

See also setValue().

## Related Non-Members

### typedef Qt3DCore::QPropertyUpdatedChangePtr

A shared pointer for QPropertyUpdatedChange.